class Checkout {

  int day;
  float rate; // how long an item is checked out
  String itemType; // dvd or book
  int x, y, z; // coordinates
  int dewey;
  String date;
  String title;


  Checkout(String cout, String cin, float deweyClass, String type, String title) {
    type.replaceAll(" ", "");
    this.title = title;
    this.date = cout;
    this.day = (int) dateParser(cout);
    this.rate = (dateParser(cout)-dateParser(cin));
    this.itemType = type;
    this.dewey = (int) (Math.floor(deweyClass) - (Math.floor(deweyClass)%100));
    this.x = -2500;
    this.y = Math.round(random(-480, 480));
    this.z = Math.round(random(-480, 480));
  }

  void draw() {
    textSize(25);      
    textAlign(CENTER);
    text(title, x, y-30, z);
    if (this.itemType.equals("acbk")) {
      pushMatrix();
      translate(x, y, z);
      sphere(22);
      popMatrix();
    } else {
      pushMatrix();
      translate(x, y, z);
      box(22);
      popMatrix();
    }
  }
}
